Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.linker
Class CastableTypeDataImpl

    java.lang.Object
      com.google.gwt.rpc.linker.CastableTypeDataImpl

All Implemented Interfaces:
  CastableTypeData, java.io.Serializable

    public class CastableTypeDataImpl

extends java.lang.Object
implements CastableTypeData

Implementation of a wrapped castableTypeMap.

See Also:
  Serialized Form

Constructor Summary
`CastableTypeDataImpl(java.lang.String castableTypeMapJs)`

Method Summary
`java.lang.String` | `toJs()` Returns an eval-able JSON object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CastableTypeDataImpl

    public CastableTypeDataImpl(java.lang.String castableTypeMapJs)

Method Detail

### toJs

    public java.lang.String toJs()

  Description copied from interface: `CastableTypeData`
  Returns an eval-able JSON object.

  Specified by:
    `toJs` in interface `CastableTypeData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD